Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.TypedNamespaceIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators.NamespaceIterator
                  org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedNamespaceIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

public class DTMDefaultBaseIterators.TypedNamespaceIterator
extends DTMDefaultBaseIterators.NamespaceIterator

Iterator that returns the namespace nodes as defined by the XPath data model for a given node, filtered by extended type ID.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`DTMDefaultBaseIterators.TypedNamespaceIterator(int nodeType)` Constructor TypedNamespaceIterator

Method Summary
`int` | `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.NamespaceIterator
`setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.TypedNamespaceIterator

    public DTMDefaultBaseIterators.TypedNamespaceIterator(int nodeType)

  Constructor TypedNamespaceIterator

Parameters:
  `nodeType` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `DTMDefaultBaseIterators.NamespaceIterator`
  Returns:
    The next node handle in the iteration, or END.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.